import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  MediaPackageV2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../MediaPackageV2Client";
import {
  CreateOriginEndpointRequest,
  CreateOriginEndpointResponse,
} from "../models/models_0";
export interface CreateOriginEndpointCommandInput
  extends CreateOriginEndpointRequest {}
export interface CreateOriginEndpointCommandOutput
  extends CreateOriginEndpointResponse,
    __MetadataBearer {}
export declare class CreateOriginEndpointCommand extends $Command<
  CreateOriginEndpointCommandInput,
  CreateOriginEndpointCommandOutput,
  MediaPackageV2ClientResolvedConfig
> {
  readonly input: CreateOriginEndpointCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CreateOriginEndpointCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: MediaPackageV2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    CreateOriginEndpointCommandInput,
    CreateOriginEndpointCommandOutput
  >;
  private serialize;
  private deserialize;
}
