import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  MediaPackageV2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../MediaPackageV2Client";
import {
  ListChannelGroupsRequest,
  ListChannelGroupsResponse,
} from "../models/models_0";
export interface ListChannelGroupsCommandInput
  extends ListChannelGroupsRequest {}
export interface ListChannelGroupsCommandOutput
  extends ListChannelGroupsResponse,
    __MetadataBearer {}
export declare class ListChannelGroupsCommand extends $Command<
  ListChannelGroupsCommandInput,
  ListChannelGroupsCommandOutput,
  MediaPackageV2ClientResolvedConfig
> {
  readonly input: ListChannelGroupsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ListChannelGroupsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: MediaPackageV2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<ListChannelGroupsCommandInput, ListChannelGroupsCommandOutput>;
  private serialize;
  private deserialize;
}
